Bug 174327 - Bonding Module fails to recognise the '-o' parameter on load
Bonding Module fails to recognise the '-o' parameter on load
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-27 19:46 EST by Roland Pope
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: U3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-20 13:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Pope 2005-11-27 19:46:49 EST
Description of problem: According to bonding.txt, you are supposed to be able 
to load multiple instances of the bonding module to allow multiple bonding 
interfaces to be declared with different parameters. The documention says you 
should setup an alias in modprobe.conf as follows:
<snip /etc/modprobe.conf>
alias bond0 bonding
options bond0 -o bonding0 miimon=100
alias bond1 bonding
options bond1 -o bonding1 miimon=100
</snip /etc/modprobe.conf>
However, when I attempt to startup networking with both a bond0 and a bond1 
interface declared I get the error message "bonding: Unknown parameter '-o'"

This suggests to me that either there is some sort of error in the bonding 
kernel module that is failing to recognise the '-o' parameter, or that the 
bonding documentation is incorrect.
I have tested a multiple load under RedHat Enterprise 3 Update 5 and it works 
as expected, loading the module twice as bonding0 and bonding1 (Seen with an 
lsmod).



Version-Release number of selected component (if applicable): kernel-2.6.9-
22.0.1.EL


How reproducible: Every Time


Steps to Reproduce:
1. Declare two different bonded interfaces (bond0 and bond1)
2. Modify modprobe.conf as recommended by bonding.txt and as shown in the bug 
description.
3. Try to startup/restart the network and watch for the "Unknown Parameter '-
o'" error
  
Actual results: The bonding driver loads onces as 'bonding' and you get 
a 'bond0' interface but no 'bond1' inderface showing listed with an ifconfig. 
An 'lsmod' shows that the bonding diver has loaded once as 'bonding' rather 
than loading twice as 'bonding0' and 'bonding1'


Expected results: The bonding module should have loaded itself twice and given 
me two bonded network interfaces.


Additional info:
Comment 1 John W. Linville 2005-11-29 15:03:30 EST
The kernel docs for bonding are being update as part of U3.  In the meantime, 
you should modify modprobe.conf to look more like this: 
 
install bond0 /sbin/modprobe --ignore-install -o bonding0 bonding miimon=100 
remove bond0 /sbin/modprobe -r --ignore-remove bonding0 
install bond1 /sbin/modprobe --ignore-install -o bonding1 bonding miimon=100 
remove bond1 /sbin/modprobe -r --ignore-remove bonding1 
 
Please give that a try and let me know if it works for you...thanks! 
Comment 2 Roland Pope 2005-11-29 16:51:41 EST
Yes, thank you. This works much better thank you.

Note You need to log in before you can comment on or make changes to this bug.